package de.mlessmann.certassist.openssl;

/**
 * Accessor interface to the certificate storage.
 */
public interface CertificateProvider {
    /**
     * A stored certificate is needed (e.g. for command line operations when signing sub certificates).
     */
    CertificateUsage requestCertificateUsage(String fingerprint);
}
